Subject: [Actn] ACTN use-case in MPLS-TP based packet transport networks

From: 程伟强 <[email-masked]>
Date: Thu, 10 Jul 2014 14:06:52 +0800

Hi There,

We prepared a draft about ACTN use-case in MPLS-TP based packet transport
networks.  Due to the process issues within company, we missed the IETF
draft upload deadline. Here we would like to post it in the mail list for
review. It is highly appreciated if you can comment it.

Best Regards,
Weiqiang Cheng

=============================Draft beginning===============================

Network Working Group                                            W. Cheng

Internet Draft                                                   China
mobile

Intended status: Informational

Expires: January2015

                                                                 Yunbin Xu

                                                                      CATR

                                                             Guoying Zhang

                                                                      CATR

                                                             July 10, 2014

       ACTN Use-cases for Packet Transport Networks in Mobile Backhaul

                                   Networks

                   draft-cheng-actn-ptn-requirements-00.txt

Status of this Memo

   This Internet-Draft is submitted in full conformance with the

   provisions of BCP 78 and BCP 79.

   Internet-Drafts are working documents of the Internet Engineering

   Task Force (IETF), its areas, and its working groups. Note that

   other groups may also distribute working documents as Internet-

   Drafts.

   Internet-Drafts are draft documents valid for a maximum of six

   months and may be updated, replaced, or obsoleted by other documents

   at any time. It is inappropriate to use Internet-Drafts as

   reference material or to cite them other than as "work in progress."

   The list of current Internet-Drafts can be accessed at

   http://www.ietf.org/ietf/1id-abstracts.txt

   The list of Internet-Draft Shadow Directories can be accessed at

   http://www.ietf.org/shadow.html

   This Internet-Draft will expire on January 10, 2015.

Copyright Notice

   Copyright (c) 2014 IETF Trust and the persons identified as the

   document authors. All rights reserved.

   This document is subject to BCP 78 and the IETF Trust's Legal

   Provisions Relating to IETF Documents

   (http://trustee.ietf.org/license-info)in effect on the date of

Cheng, et al.           Expires January 10,2015                   [Page 1]

Internet-Draft      PTN requirements in ACTN architecture      July 2014

   publication of this document. Please review these documents

   carefully, as they describe your rights and restrictions with

   respect to this document. Code Components extracted from this

   document must include Simplified BSD License text as described in

   Section 4.e of the Trust Legal Provisions and are provided without

   warranty as described in the Simplified BSD License.

   This document is subject to BCP 78 and the IETF Trust's Legal

   Provisions Relating to IETF Documents

   (http://trustee.ietf.org/license-info) in effect on the date of

   publication of this document. Please review these documents

   carefully, as they describe your rights and restrictions with

   respect to this document.

Abstract

   This document describes the key requirements for ACTN in carrier's

   transport networks, which mainly focus on the Packet Transport

   Networks.

Table of Contents

   1.    Introduction................................................3

   2.    ACTN Requirement for Packet Transport Networks..............3

    2.1. End-to-End Enterprise Services Provisioning.................3

    2.2. Multi-layer coordination Requirement in L2/L3 Packet Transport

   Networks..........................................................4

    2.3. Optimizing the network resources utilization................4

   3.    Virtual Networks Operations for Packet Transport Networks...5

   4.    Security Considerations.....................................5

   5.    IANA Considerations.........................................6

   6.    References..................................................6

   6.1. Informative References......................................6

 

Cheng, et al.          Expires January 10,2015                 [Page 2]

Internet-Draft        PTN requirements in ACTN architecture     July 2014

1. Introduction

   MPLS-TP based packet transport network (PTN) has been widely used as

   mobile backhaul and enterprise customer private line/LAN solutions

   in many carrier's networks. The Packet Transport Networks work in

   different layers from L2 to L3 and in different areas such as access,

   metro and backbone networks. In the application scenarios, the most

   important requirements for operators are to solve the

   interoperability problems between multi-domain/multi-layer networks,

   realize the fast service provisioning, and improve the network

   operation efficiency.

   The PTN operators may use ACTN to improve efficiency of provision

   and operation, optimize the resources utilization, and promote the

   customer's experiences. This draft mainly discusses the key

   requirements for ACTN in carrier's Packet Transport Networks.

2. ACTN Requirement for Packet Transport Networks

2.1.   End-to-End Enterprise Services Provisioning

   The enterprise customer services are sensitive to the network

   quality, have strict time-limit requirement for service

   establishment. Faster end-to-end service provisioning may make the

   operators win the competition.

   The operators had built a large scale of packet transport networks

   and divided them into different areas such as access, metro and

   backbone networks, each area has their own management systems.

   Currently in most application scenarios, PTN networks are using

   static provisioning with centralized Network management Systems

   (NMS). However, they are hard to meet the requirements of current

   enterprise services for fast provisioning and efficient operation.

   The ACTN architecture [ACTN-FWK] should be considered to coordinate

   with traditional the networks management systems, so as to realize

   the end-to-end service provision.

      |                 End-to-End Connection                    |

      |<-------------------------------------------------------->|

      |                                                          |

         +--------+  +-------+  +-------+  +-------+  +-------+

         | Access |  | Metro |  | Core  |  | Metro |  | Access|

Cheng, et al.            Expires January 10,2015                 [Page 3]

Internet-Draft      PTN requirements in ACTN architecture      July 2014

   +--+  | PTN    |  | PTN   |  | PTN   |  | PTN   |  | PTN   |  +--+

   |CE|==|(Vender |==|(Vender|==|(Vender|==|(Vender|==|(Vender|==|CE|

   +--+  |    A)  |  |   B)  |  |   C)  |  |    D) |  |    E) |  +--+

         +--------+  +-------+  +-------+  +-------+  +-------+

         Figure 1 End-to-End Connection in Mobile Backhaul Networks

2.2. Multi-layer coordination Requirement in L2/L3 Packet Transport

    Networks

   LTE backhauling requires the PTN to realize L3 network function.

   This function requires the management systems operate in different

   layers of networks, and leads to separate and fragmented network

   configuration. Further, the L2 PTN and L3 PTN networks may be

   provided by different venders, and make the end-to-end provisioning

   much more complex. In the ACTN architecture, new functions such as

   topology detection and virtualization, auto-routing calculation are

   introduced. With these functions, operator can improve the user

   experiences and lower the OPEX.

   On the other hand, operators want to obtain the flow information and

   realize the load balancing within L3 PTN networks,

                   |       End-to-End Connection     |

                   |<------------------------------->|

                   |                                 |

                       +----------+   +----------+

          +--------+   |          |   |          |   +--------+

          | Radio  |   | Layer 2  |   | Layer 3  |   | Radio  |

          | Access |===|   PTN    |===|   PTN    |===| Core   |

          |Networks|   | Networks |   | Networks |   |Networks|

          +--------+   |(Vender A)|   |(Vender B)|   +--------+

                       |          |   |          |

                       +----------+   +----------+

            Figure 2 End-to-End Connection for L2&L3 PTN Networks

2.3.   Optimizing the network resources utilization

   The packet transport networks can support various performances

   monitoring matrix, such as traffic flow statistics, packet delay,

   delay variation, throughput and packet-loss rate, etc. All these

   performance parameters can support the enterprise customers SLA

   requirements. Through the performance monitoring, the PTN can

Cheng, et al.           Expires January 10,2015                   [Page 4]

Internet-Draft      PTN requirements in ACTN architecture         July 2014

   realize the service SLA optimization and network traffic

   optimization. See [ACTN-PERF] for related discussion.

3. Virtual Networks Operations for Packet Transport Networks

   Figure 3 shows an example of virtual network operations for packet

   transport networks. In order to realize end-to-end service provision,

   the ACTN architecture [ACTN-FWK] should consider coordination with

   traditional network management systems. By the network

   virtualization and abstraction, the traditional networks can be

   considered as a virtual network for VNC service provider, which can

   be realized by network management systems providing an abstract

   agent for VNC, or the VNC providing traditional interface for NMS.

             +-----------------------------------------+

             |             VNC Service Provider        |

             +-----------------------------------------+

                  /                |               \

                 /                 |                \

                /                  |                 \

               /   +-----------------------------+    \

              /    |       NMS Abstract Agent    |     \

         +-------+ +-----------------------------+ +-------+

         |Access | +-----------------------------+ |Access |

        |Control| | Network Management Systems  | |Control|

         +-------+ +-----------------------------+ +-------+

              |         |          |          |          |

              |         |          |          |          |

              |         |          |          |          |

         +-------+  +-------+  +-------+  +-------+  +-------+

         | Access|  | Metro |  | Core  |  | Metro |  | Access|

   +--+  | PTN   |  | PTN   |  | PTN   |  | PTN   |  | PTN   |  +--+

   |CE|==|(Vender|==|(Vender|==|(Vender|==|(Vender|==|(Vender|==|CE|

   +--+  |    A) |  |    B) |  |    C) |  |    D) |  |    E) |  +--+

         +-------+  +-------+  +-------+  +-------+  +-------+

        Figure 3 End-to-End Connection in Mobile Backhaul Networks

4. Security Considerations

   This document raises no new security issues.

 

Cheng, et al.           Expires January 10,2015                    [Page 5]

Internet-Draft      PTN requirements in ACTN architecture        July 2014

5. IANA Considerations

   No new IANA considerations are raised by this document.

6. References

6.1.   Informative References

   [ACTN-FWK]   Daniele C., Luyuan Fang, Yong Lee and Diego Lopez,

                "Framework for Abstraction and Control of Transport

                Networks", draft-ceccarelli-actn-framework-02.

   [ACTN-PERF] Yunbin Xu, Weiqiang Cheng, Guoying Zhang and Haomian

             Zheng, "Use Cases and Requirements of Dynamic Service

             Control based on Performance Monitoring in ACTN

             Architecture", draft-xu-actn-perf-dynamic-service-control-

             01.

Authors's Address

   Weiqiang Cheng

   China Mobile Communication Company

   No.32 Xuanwumen West Street, Xicheng District, Beijing, China

   Email:[email-masked]

   Yunbin Xu

   China Academy of Telecom Research

   NO.52 Huayuan Beilu, Haidian District, Beijing, China

   Email: [email-masked]

   Guoying Zhang

   China Academy of Telecom Research

   NO.52 Huayuan Beilu, Haidian District, Beijing, China

   Email: [email-masked]

 

Cheng, et al.             Expires January 10,2015                 [Page 6]

=============================Draft end===============================

---

From: Leeyoung <[email-masked]>
Date: Thu, 10 Jul 2014 14:16:18 +0000

Hi,

Thanks Weiqiang for posting this use-case.

Here’s a text version of the use-case attached for a better readability.

Young

From: ACTN [mailto:[email-masked]] On Behalf Of ???
Sent: Thursday, July 10, 2014 1:07 AM
To: [email-masked]
Cc: 'xuyunbin'; 'zhangguoying'
Subject: [Actn] ACTN use-case in MPLS-TP based packet transport networks

Hi There,
We prepared a draft about ACTN use-case in MPLS-TP based packet transport networks.  Due to the process issues within company, we missed the IETF draft upload deadline. Here we would like to post it in the mail list for review. It is highly appreciated if you can comment it.

Best Regards,
Weiqiang Cheng

Network Working Group                                            W. Cheng
Internet Draft                                                   China mobile
Intended status: Informational
Expires: January2015
                                                                 Yunbin Xu
                                                                      CATR

                                                             Guoying Zhang
                                                                      CATR

                                                             July 10, 2014

Status of this Memo

Copyright Notice

Abstract

Table of Contents

1. Introduction

6. References

Authors's Address

   Weiqiang Cheng
   China Mobile Communication Company
   No.32 Xuanwumen West Street, Xicheng District, Beijing, China
   Email:[email-masked]
   Yunbin Xu
   China Academy of Telecom Research
   NO.52 Huayuan Beilu, Haidian District, Beijing, China
   Email: [email-masked]<mailto:[email-masked]>
   Guoying Zhang
   China Academy of Telecom Research
   NO.52 Huayuan Beilu, Haidian District, Beijing, China
   Email: [email-masked]<mailto:[email-masked]>